# PacketType (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Enum PacketType

    java.lang.Object
      java.lang.Enum<PacketType>
          net.schmizz.sshj.sftp.PacketType

All Implemented Interfaces:
  Serializable, Comparable<PacketType>

    public enum PacketType

extends Enum<PacketType>

Enum Constant Summary
`ATTRS`
`CLOSE`
`DATA`
`EXTENDED`
`EXTENDED_REPLY`
`FSETSTAT`
`FSTAT`
`HANDLE`
`INIT`
`LSTAT`
`MKDIR`
`NAME`
`OPEN`
`OPENDIR`
`READ`
`READDIR`
`READLINK`
`REALPATH`
`REMOVE`
`RENAME`
`RMDIR`
`SETSTAT`
`STAT`
`STATUS`
`SYMLINK`
`UNKNOWN`
`VERSION`
`WRITE`

Method Summary
`static PacketType` `fromByte(byte b)`
`byte` `toByte()`
`static PacketType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PacketType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final PacketType UNKNOWN

### INIT

    public static final PacketType INIT

### VERSION

    public static final PacketType VERSION

### OPEN

    public static final PacketType OPEN

### CLOSE

    public static final PacketType CLOSE

### READ

    public static final PacketType READ

### WRITE

    public static final PacketType WRITE

### LSTAT

    public static final PacketType LSTAT

### FSTAT

    public static final PacketType FSTAT

### SETSTAT

    public static final PacketType SETSTAT

### FSETSTAT

    public static final PacketType FSETSTAT

### OPENDIR

    public static final PacketType OPENDIR

### READDIR

    public static final PacketType READDIR

### REMOVE

    public static final PacketType REMOVE

### MKDIR

    public static final PacketType MKDIR

### RMDIR

    public static final PacketType RMDIR

### REALPATH

    public static final PacketType REALPATH

### STAT

    public static final PacketType STAT

### RENAME

    public static final PacketType RENAME

### READLINK

    public static final PacketType READLINK

### SYMLINK

    public static final PacketType SYMLINK

### STATUS

    public static final PacketType STATUS

### HANDLE

    public static final PacketType HANDLE

### DATA

    public static final PacketType DATA

### NAME

    public static final PacketType NAME

### ATTRS

    public static final PacketType ATTRS

### EXTENDED

    public static final PacketType EXTENDED

### EXTENDED_REPLY

    public static final PacketType EXTENDED_REPLY

Method Detail

### values

    public static PacketType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PacketType c : PacketType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PacketType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromByte

    public static PacketType fromByte(byte b)

### toByte

    public byte toByte()

Copyright © 2009-2011. All Rights Reserved.